local ultra = util.table.deepcopy(data.raw["inserter"]["fast-inserter"])
ultra.name = "Test"
ultra.energy_source =
{
	type = "electric",
	usage_priority = "secondary-input",
	drain = "0.8kW"
}
ultra.name = "ultra-inserter"
ultra.icon = "__Ultra Inserters__/graphics/ultra-inserter.png"
ultra.hand_base_picture =
{
	filename = "__Ultra Inserters__/graphics/ultra-inserter-hand-base.png",
	width = "8",
	height = "34"
}
ultra.hand_closed_picture = 
{
	filename = "__Ultra Inserters__/graphics/ultra-inserter-hand-closed.png",
	width = "18",
	height = "41"
}
ultra.hand_open_picture =
{
	filename = "__Ultra Inserters__/graphics/ultra-inserter-hand-open.png",
	width = "18",
	height = "41"
}
ultra.platform_picture =
{
	sheet=
	{
		filename = "__Ultra Inserters__/graphics/ultra-inserter-platform.png",
		priority = "extra-high",
		width = "46",
		height = "46"
	}
}

ultra.energy_per_movement = 4500
ultra.energy_per_rotation = 4500
ultra.rotation_speed = 0.09
ultra.extension_speed = 0.06
ultra.minable = {hardness = 0.2, mining_time = 0.5, result = "ultra-inserter"}
data:extend({ultra})